import { Argument, Key, WebAdapter, WebNode } from '@pageobject/web';
import { WebDriver } from 'selenium-webdriver';
/**
 * @implements https://pageobject.js.org/api/web/interfaces/webadapter.html
 */
export declare class SeleniumAdapter implements WebAdapter {
    /**
     * @param capabilities https://github.com/SeleniumHQ/selenium/wiki/DesiredCapabilities
     */
    static create(capabilities: object): Promise<SeleniumAdapter>;
    readonly driver: WebDriver;
    /**
     * @param driver http://seleniumhq.github.io/selenium/docs/api/javascript/module/selenium-webdriver/index_exports_WebDriver.html
     */
    constructor(driver: WebDriver);
    execute<TResult>(script: (...args: Argument[]) => TResult, ...args: Argument[]): Promise<TResult>;
    findNodes(selector: string, ancestor?: WebNode): Promise<WebNode[]>;
    goto(url: string): Promise<void>;
    press(key: Key): Promise<void>;
    quit(): Promise<void>;
}
