"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const updateConfig = require('webdriver-manager/selenium/update-config.json');
class ChromeDriver {
    async start(port, urlBase = '/wd/hub') {
        process.env.SELENIUM_REMOTE_URL = `http://localhost:${port}${urlBase}`;
        const childProcess = (this._childProcess = child_process_1.spawn(updateConfig.chrome.last, [
            `--url-base=${urlBase}`,
            `--port=${port}`
        ]));
        return new Promise((resolve, reject) => {
            childProcess.stdout.once('data', () => {
                setTimeout(resolve, 500);
            });
            childProcess.once('error', reject);
        });
    }
    stop() {
        process.env.SELENIUM_REMOTE_URL = undefined;
        if (this._childProcess) {
            this._childProcess.kill();
        }
    }
}
exports.ChromeDriver = ChromeDriver;
//# sourceMappingURL=ChromeDriver.js.map