"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const web_1 = require("@pageobject/web");
const get_port_1 = __importDefault(require("get-port"));
const __1 = require("..");
const ChromeDriver_1 = require("./ChromeDriver");
jasmine.DEFAULT_TIMEOUT_INTERVAL = 10000;
const args = process.env.CI === 'true'
    ? [
        '--headless',
        '--disable-gpu',
        '--disable-dev-shm-usage',
        '--disable-setuid-sandbox',
        '--no-sandbox'
    ]
    : ['--headless', '--disable-gpu'];
describe('SeleniumAdapter', () => {
    const chromeDriver = new ChromeDriver_1.ChromeDriver();
    beforeAll(async () => {
        await chromeDriver.start(await get_port_1.default());
    });
    afterAll(() => {
        chromeDriver.stop();
    });
    it('should pass the WebAdapterTest successfully', async () => {
        await new web_1.WebAdapterTest(await __1.SeleniumAdapter.create({
            browserName: 'chrome',
            chromeOptions: { args }
        })).run();
    });
});
//# sourceMappingURL=SeleniumAdapter.test.js.map